net.minecraft.client.renderer.tileentity

## Class RenderItemFrame

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.tileentity.RenderItemFrame

-     public class RenderItemFrame
      extends Render

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderItemFrame()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `func_82404_a(EntityItemFrame par1EntityItemFrame, double par2, double par4, double par6, float par8, float par9)`
    `void` | `func_94143_a(IconRegister par1IconRegister)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderItemFrame

          public RenderItemFrame()

  - ### Method Detail

    - #### func_94143_a

          public void func_94143_a(IconRegister par1IconRegister)

      Overrides:
        `func_94143_a` in class `Render`

    - #### func_82404_a

          public void func_82404_a(EntityItemFrame par1EntityItemFrame,
                          double par2,
                          double par4,
                          double par6,
                          float par8,
                          float par9)

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Specified by:
        `doRender` in class `Render`